---- Tabella TipiProdotto campo IDaliquotadefault  ---

IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'Soggetti'
AND syscolumns.name = 'Email_PEC')
BEGIN 
ALTER TABLE dbo.Soggetti ADD
	[Email_PEC] [varchar](50) NOT NULL CONSTRAINT [DF_Soggetti_Email_PEC_1]  DEFAULT (''),
	[FAEL_IDPaese] [varchar](2) NOT NULL CONSTRAINT [DF_Soggetti_FAEL_IDPaese_1]  DEFAULT (''),
	[FAEL_SDI] [varchar](7) NOT NULL CONSTRAINT [DF_Soggetti_FAEL_SDI_1]  DEFAULT (''),
	[FAEL_Eori] [varchar](15) NOT NULL CONSTRAINT [DF_Soggetti_FAEL_Eori_1]  DEFAULT (''),
	[FAEL_RegimeFiscale] [varchar](4) NOT NULL CONSTRAINT [DF_Soggetti_FAEL_RegimeFiscale_1]  DEFAULT (''),
	[FAEL_EsigibilitāIVA] [varchar](1) NOT NULL CONSTRAINT [DF_Soggetti_FAEL_EsigibilitāIVA_1]  DEFAULT (''),
	[FAEL_TipoTrasmissione] [tinyint] NOT NULL CONSTRAINT [DF_Soggetti_FAEL_TipoTrasmissione_1]  DEFAULT ((0)),
	[FAEL_TipoSoggetto] [varchar](5) NOT NULL CONSTRAINT [DF_Soggetti_FAEL_TipoSoggetto_1]  DEFAULT (''),
	[sesso] [int] NULL,
	[DataNascita] [datetime] NULL,
	[LuogoNascita] [varchar](50) NULL,
	[SogFisicoGiuridico] [int] NOT NULL CONSTRAINT [DF_Soggetti_SogFisicoGiuridico]  DEFAULT ((1)),
	[IdComuneNascita] [int] NULL
END



IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'Soggetti'
AND syscolumns.name = 'IDDitta')
BEGIN 
ALTER TABLE dbo.Soggetti ADD
	[IDDitta] [tinyint] NOT NULL CONSTRAINT [DF_Soggetti_IDDitta]  DEFAULT ((0))
END